ActaTextInternal::State Struct Reference

Internal: the state of a ActaText. More...

## Public Member Functions

| State ()
| constructor
void | setDefaultColorList (int version)
| set the default color map

## Public Attributes

std::vector< Topic > | m_topicList
| the topic list
int | m_listId
| the list id
std::vector< MWAWColor > | m_colorList
| a list colorId -> color
int | m_version
| the file version
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a ActaText.

## Constructor & Destructor Documentation

## State()

ActaTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## setDefaultColorList()

void ActaTextInternal::State::setDefaultColorList | ( | int | version | ) |

set the default color map

## Member Data Documentation

## m_actualPage

int ActaTextInternal::State::m_actualPage

Referenced by State().

## m_colorList

std::vector<MWAWColor> ActaTextInternal::State::m_colorList

a list colorId -> color

Referenced by setDefaultColorList(), and State().

## m_listId

int ActaTextInternal::State::m_listId

the list id

Referenced by State().

## m_numPages

int ActaTextInternal::State::m_numPages

Referenced by State().

## m_topicList

std::vector<Topic> ActaTextInternal::State::m_topicList

the topic list

Referenced by State().

## m_version

int ActaTextInternal::State::m_version

mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- ActaText.cxx